GetRegistry
Gets a registry by identifier (ARN or ID)
Request Syntax
GET /registries/registryId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- registryId
-
The identifier of the registry to retrieve (ARN or ID)
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/)?[a-zA-Z0-9]{12,16}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"approvalConfiguration": {
"autoApprovalRules": [ "string" ]
},
"createdAt": "string",
"description": "string",
"discoveryConfiguration": {
"authorizerConfiguration": { ... },
"authorizerType": "string"
},
"name": "string",
"registryArn": "string",
"registryId": "string",
"status": "string",
"statusReason": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- approvalConfiguration
-
Approval configuration for registry records
Type: ApprovalConfiguration object
- createdAt
-
The timestamp when the registry was created
Type: Timestamp
- description
-
The description of the registry
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
- discoveryConfiguration
-
Discovery configuration for the registry
Type: DiscoveryConfiguration object
- name
-
The name of the registry
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9_\-\.\/]* - registryArn
-
The ARN of the registry
Type: String
Length Constraints: Minimum length of 46. Maximum length of 2048.
Pattern:
arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16} - registryId
-
The unique identifier of the registry
Type: String
Length Constraints: Minimum length of 12. Maximum length of 16.
Pattern:
[a-zA-Z0-9]{12,16} - status
-
Current status of the registry
Type: String
Valid Values:
CREATING | READY | UPDATING | CREATE_FAILED | UPDATE_FAILED | DELETING | DELETE_FAILED - statusReason
-
The reason for the current status. Typically populated when the status indicates a failure state.
Type: String
- updatedAt
-
The timestamp when the registry was last updated
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The caller is not authorized to perform the requested action.
HTTP Status Code: 403
- InternalServerException
-
The request failed due to an unexpected internal error; the caller may retry.
HTTP Status Code: 500
- ResourceNotFoundException
-
The requested resource was not found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling; the caller may retry after a delay.
HTTP Status Code: 429
- ValidationException
-
The request failed validation of one or more input fields.
- fieldList
-
The list of input fields that failed validation.
- reason
-
The reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: